// Arduino Grundkurs des Z-Lab Bruchsal.
// Dies ist Übung 6: Ein Schalter
// Eine ausführliche Beschreibung mit Erklärungen findest du hier:
// https://git.digital-infinity.de/DigitalInfinity/Z-Lab/src/branch/main/Arduino_Grundlagen/06_Schalter
// Dort findest du auch  eine Skizze für die Verkabelung

const int buttonPin = 12;
const int ledPin = 13;

int buttonState = 0;

void setup() {
  pinMode(ledPin, OUTPUT);
  pinMode(buttonPin, INPUT);
}

void loop() {
  buttonState = digitalRead(buttonPin);

  // Wenn (if) der Schalter gedrückt ist (HIGH steht für 1, also Strom fließt)...
  if (buttonState == HIGH) {
    // DAnn mach das hier (LED an)
    digitalWrite(ledPin, HIGH);
  // Ansonsten (else)
  } else {
    // mach das hier (LED aus)
    digitalWrite(ledPin, LOW);
  }
}
